From 9f9213709d6cd9091aa7d1a9763611307093ff40 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 02 2020 05:09:40 +0000
Subject: [PATCH 88/2232] Backport type aliases to c++11


---

diff --git a/include/cxxbridge.h b/include/cxxbridge.h
index fe2f5be..d0cf8c2 100644
--- a/include/cxxbridge.h
+++ b/include/cxxbridge.h
@@ -71,8 +71,9 @@ private:
 template <typename T> class Box final {
 public:
   using value_type = T;
-  using const_pointer = std::add_pointer_t<std::add_const_t<value_type>>;
-  using pointer = std::add_pointer_t<value_type>;
+  using const_pointer = typename std::add_pointer<
+      typename std::add_const<value_type>::type>::type;
+  using pointer = typename std::add_pointer<value_type>::type;
 
   Box(const Box &other) : Box(*other) {}
   Box(Box &&other) noexcept : repr(other.repr) { other.repr = 0; }

